<div class="container google__results">
	<div class="row title text-center">
		<h2><?= 'Showing ' . count($results['results']) . ' of ' . $results['total_results'] . ' Results for: "' . $searchTerm . '"'; ?></h2>
	</div>

	<div class="row clear-columns">
		<?php if (!empty($results['results'])) : ?>
			<?php foreach ($results['results'] as $result) : ?>
				<div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
					<div class="thumb">
						<?php
							$image = $this->Img->resize($result['image'], array(
								'width' => 360,
								'height' => '230',
								'crop' => true
							));

							echo $this->Html->link($image, $result['link'], array('escape' => false));
						?>
					</div>
					<div class="detail">
						<?php
							$title = $this->Text->truncate($result['title']);
							$snippet = $this->Text->truncate($result['snippet'], 150);
						?>
						<h3><?= $this->Html->link($title, $result['link']); ?></h3>
						<p><?= $snippet; ?></p>
					</div>
				</div>
			<?php endforeach; ?>
		<?php else: ?>
			<div class="text-center">
				<?php if (empty($searchTerm)) : ?>
					<?= __x('Alert user to enter a search term', 'Please enter a valid search term and try again'); ?>
				<?php else: ?>
					<?= __x('No search results warning', 'No search results for ') . $searchTerm; ?>
				<?php endif; ?>
			</div>
		<?php endif; ?>
	</div>

	<div class="row text-center">
		<?php
			if (!empty($results['pagination'])) {
				// had to cook up some custom pagination stuff, see element:
				echo $this->element('EvGoogleSearch.pagination');
			}
		?>
	</div>
</div>

<?php echo $this->Html->css('EvGoogleSearch.results'); ?>
